Bug 1243139 (CVE-2015-2590) - CVE-2015-2590 OpenJDK: deserialization issue in ObjectInputStream.readSerialData() (Libraries, 8076401)
Summary: CVE-2015-2590 OpenJDK: deserialization issue in ObjectInputStream.readSerialD...
Status: CLOSED ERRATA
Alias: CVE-2015-2590
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20150714,repor...
Keywords: Security
Depends On:
Blocks: 1235167
TreeView+ depends on / blocked
 
Reported: 2015-07-14 21:00 UTC by Tomas Hoger
Modified: 2019-07-11 09:37 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-13 12:18:34 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1228 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2015-07-15 16:37:01 UTC
Red Hat Product Errata RHSA-2015:1229 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2015-07-15 16:35:48 UTC
Red Hat Product Errata RHSA-2015:1230 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2015-07-15 16:01:10 UTC
Red Hat Product Errata RHSA-2015:1241 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-15 15:34:28 UTC
Red Hat Product Errata RHSA-2015:1242 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 15:31:57 UTC
Red Hat Product Errata RHSA-2015:1243 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 15:34:18 UTC
Red Hat Product Errata RHSA-2015:1485 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2015-07-22 23:56:33 UTC
Red Hat Product Errata RHSA-2015:1486 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2015-07-22 23:33:04 UTC
Red Hat Product Errata RHSA-2015:1488 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2015-07-23 23:20:39 UTC
Red Hat Product Errata RHSA-2015:1526 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2015-07-30 21:14:52 UTC
Red Hat Product Errata RHSA-2015:1544 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2015-08-04 21:13:08 UTC
Red Hat Product Errata RHSA-2015:1604 normal SHIPPED_LIVE Moderate: Red Hat Satellite IBM Java Runtime security update 2015-08-12 20:38:58 UTC

Description Tomas Hoger 2015-07-14 21:00:10 UTC
An unspecified flaw was found in the Libraries component in OpenJDK.  ObjectInputStream's readSerialData() could, in certain cases, incorrectly perform deserialization of data from serialized input.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

Comment 1 Tomas Hoger 2015-07-14 21:00:35 UTC
Public now via Oracle Critical Patch Update - July 2015.  Fixed in Oracle Java SE 6u101, 7u85, and 8u51.

External References:

http://www.oracle.com/technetwork/topics/security/cpujul2015-2367936.html#AppendixJAVA

Comment 2 Tomas Hoger 2015-07-15 07:27:48 UTC
According to the TrendMicro blog post, this is the issue that was recently announced as 0-day Java vulnerability exploited as part of the Pawn Storm campaign:

http://blog.trendmicro.com/trendlabs-security-intelligence/pawn-storm-update-trend-micro-discovers-new-java-zero-day-exploit/
http://blog.trendmicro.com/trendlabs-security-intelligence/oracle-patches-java-zero-day-used-in-operation-pawn-storm/

Comment 3 errata-xmlrpc 2015-07-15 12:02:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1230 https://rhn.redhat.com/errata/RHSA-2015-1230.html

Comment 4 Tomas Hoger 2015-07-15 12:04:29 UTC
The Oracle Software Security Assurance Blog also confirms this issue is the recently announced 0-day vulnerability:

https://blogs.oracle.com/security/entry/july_2015_critical_patch_update

Comment 5 errata-xmlrpc 2015-07-15 12:36:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1229 https://rhn.redhat.com/errata/RHSA-2015-1229.html

Comment 6 errata-xmlrpc 2015-07-15 12:38:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1228 https://rhn.redhat.com/errata/RHSA-2015-1228.html

Comment 7 Tomas Hoger 2015-07-16 15:06:57 UTC
OpenJDK 8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/7e8459e7a45c

Comment 8 errata-xmlrpc 2015-07-17 08:04:38 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1243 https://rhn.redhat.com/errata/RHSA-2015-1243.html

Comment 9 errata-xmlrpc 2015-07-17 08:05:50 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2015:1242 https://rhn.redhat.com/errata/RHSA-2015-1242.html

Comment 10 errata-xmlrpc 2015-07-17 08:07:11 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2015:1241 https://rhn.redhat.com/errata/RHSA-2015-1241.html

Comment 11 errata-xmlrpc 2015-07-22 19:34:12 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:1486 https://rhn.redhat.com/errata/RHSA-2015-1486.html

Comment 12 errata-xmlrpc 2015-07-22 19:57:20 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:1485 https://rhn.redhat.com/errata/RHSA-2015-1485.html

Comment 13 errata-xmlrpc 2015-07-23 19:21:52 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:1488 https://rhn.redhat.com/errata/RHSA-2015-1488.html

Comment 14 errata-xmlrpc 2015-07-30 17:16:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1526 https://rhn.redhat.com/errata/RHSA-2015-1526.html

Comment 15 errata-xmlrpc 2015-08-04 17:14:22 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:1544 https://rhn.redhat.com/errata/RHSA-2015-1544.html

Comment 16 errata-xmlrpc 2015-08-12 16:40:29 UTC
This issue has been addressed in the following products:

  Red Hat Satellite Server v 5.7
  Red Hat Satellite Server v 5.6

Via RHSA-2015:1604 https://rhn.redhat.com/errata/RHSA-2015-1604.html


Note You need to log in before you can comment on or make changes to this bug.